Bug 1290012 - [REST-API] rsdl: 'provisioned_size' tag is not under 'disk' tag for add disk
[REST-API] rsdl: 'provisioned_size' tag is not under 'disk' tag for add disk
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
3.6.1.1
x86_64 Unspecified
unspecified Severity low (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Juan Hernández
Aharon Canan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 08:47 EST by Elad
Modified: 2016-02-18 06:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:20:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
juan.hernandez: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50176 master MERGED restapi: Fix RSDL metadata for "provisioned_size" Never
oVirt gerrit 50268 ovirt-engine-3.6 MERGED restapi: Fix RSDL metadata for "provisioned_size" Never

  None (edit)
Description Elad 2015-12-09 08:47:22 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Elad 2015-12-09 08:53:06 EST
In rsdl, 'provisioned_size' tag is not under the 'disk' tag in the disk creation hierarchy:

<parameter required="true" type="xs:int"><name>provisioned_size</name></parameter><parameter required="true" type="xs:string"><name>disk.interface</name></parameter><parameter required="true" type="xs:string"><name>disk.format</name></parameter>


Version-Release number of selected component (if applicable):
rhevm-restapi-3.6.1.1-0.1.el6.noarch


Expected results:
'provisioned_size' tag should be under the 'disk' tag as follows:

<name>disk.provisioned_size</name>
Comment 2 Sandro Bonazzola 2015-12-23 08:43:59 EST
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA
Comment 3 Aharon Canan 2015-12-29 07:25:09 EST
Verified

<parameter required="true" type="xs:int"><name>disk.provisioned_size</name>

rhevm-3.6.2-0.1.el6.noarch
vdsm-4.17.14-0.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.